import { AxiosError } from 'axios'
import { useMutation as useRQMutation, UseMutationOptions } from 'react-query'
import { Animation } from 'src/models'

import axiosService from 'src/services/axios-service'

export namespace DeleteAnimationMutation {
  export type Params = { id: Animation['id'] }

  export type Response = {}

  export const key = ['delete', 'animation']

  export const mutationFn = (params: Params) =>
    axiosService
      .delete<Response>(`/animations/${params.id}`)
      .then((res) => res.data)

  export const useMutation = (
    options: UseMutationOptions<Response, AxiosError, Params> = {}
  ) => {
    return useRQMutation(mutationFn, { ...options, mutationKey: key })
  }
}
